Update Project Field Definition (e.g. rename)

Updates the definition of a ProjectField within your Workspace, such as renaming the field. This changes the field metadata for the entire Workspace, not the value stored for any project. To change a field's value for a specific project, use UpdateProjectFieldValue instead. A ProjectField is a custom field defined within your Workspace. You can define ProjectFields for any integration purpose that is important to your business. Each ProjectField has a data type as well as options in how it is handled. ProjectFields can be edited for each Project within your Workspace.

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

fieldIdstringRequired
The unique identifier or short ID of the ProjectField to update

Headers

x-integration-namestringOptional
The name of the calling system passed along as a header parameter

Request

The new definition (e.g. name) for this ProjectField

namestringOptional
The new name of the field.

Response

Success
errorobject or null
If the API call failed, this will contain information about the error that occurred.
successboolean or nullRead-only

True if the API call succeeded; false otherwise.

hasErrorboolean or nullRead-only
True if the API call failed.
statusCodeenum or null
The HTTP code of the response.